Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162677 - smbclient does everthing well except change directory (cd)
Summary: smbclient does everthing well except change directory (cd)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 15:43 UTC by Eric R. Meyers
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 20:30:48 UTC


Attachments (Terms of Use)

Description Eric R. Meyers 2005-07-07 15:43:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
All of the smbclient commands appear to be working except for change directory (cd).

Workaround is to smbmount the share, inorder to get down where you want to go.

Version-Release number of selected component (if applicable):
samba-client-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. Load FC4 standard
2. Connect Windows 95/98 with networking
3. Attempt to change directory in an smbclient session
  

Actual Results:  [ermeyers@ermsrv01 ~]$ smbclient //ermw9502/C
Password:
smb: \> cd windows
cd \windows\: ERRDOS - ERRbadfunc (Invalid function.)
smb: \> quit


Expected Results:  [ermeyers@ermsrv01 ~]$ smbclient //ermw9502/C
Password:
smb: \> cd windows
smb: \windows\> quit


Additional info:

I've have used smbclient for many years, so I think I know when it isn't working.

Comment 1 Eric Smith 2005-07-30 00:20:23 UTC
Same problem here.  I tried to copy files to an SMB share on a Windows 98 system
using a script that does this:

smbclient //server/share -N -c "cd somedir; put foo"

This used to work in Red Hat Linux (not sure what release), but fails in Fedora
Core 4 with the same "ERRDOS - ERRbadfunc (Invalid function.)" message Eric
Myers describes as resulting from interactive use.


Comment 2 Christian Iseli 2007-01-22 11:36:11 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Simo Sorce 2007-03-14 20:30:48 UTC
fixed in FC6


Note You need to log in before you can comment on or make changes to this bug.